cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1709
Views
20
Helpful
21
Replies
Beginner

WLAN Poller question

Hi!

 

We are going to upgrade our WLC 5508 with 2702i APs from release 8.3.141 to release 8.5.140 In the release notes there was information regarding "WLAN Poller", se below link:

https://www.cisco.com/c/en/us/support/docs/wireless-mobility/wireless-lan-wlan/213317-understanding-various-ap-ios-flash-corru.html

 

It was referenced from one of the links under "Upgrading Cisco Wireless Release" in the release notes.

 

Is it anyone who has used it, and is it necessary before upgrading?

 

 

Thank you!

21 REPLIES 21
VIP Advisor

Re: WLAN Poller question

Hi

 It is not necessary. Recently I did the same upgrade with tons of 2700 with no problem. 

 

 

 

-If I helped you somehow, please, rate it as useful.-

Rising star

Re: WLAN Poller question

Hi

 

Yes have used it, and had issues when I did an upgrade where it was not used and i hit the flash corruption issue before this script was available which was one of the first cases to identify the issue.

The polling script will make sure you do not have any APs with Flash corruption issues.

If you do the upgrade without doing it and do hit a flash corruption issue you will then have to recover the APs via tftping a new recovery image to the AP

 

If you have a support agreement, log a TAC case to go through it with TAC before your upgrade

 

FYI for planning:

When we ran this against a WLC with close to 6000 APs it took a few hours from a Linux host, and nearly a day from a MACOS.

Look at the script as you can select if you want it to reload APs or not

*****Help out other by using the rating system and marking answered questions as "Answered"*****
*** Please rate helpful posts ***
Highlighted
Beginner

Re: WLAN Poller question

I have been trying to download this wlanpoller file but unable to do so. Appreciate if you can assist me. 

VIP Advocate

Re: WLAN Poller question

You are right, download seems to be broken. I've sent Feedback to Cisco about it. With some luck it's working again in ~2 days.
Beginner

Re: WLAN Poller question

Do let me know if you hear any update from Cisco. I cannot download yet. Thanks

VIP Advocate

Re: WLAN Poller question

For me it works now, but I had to use Chrome instead of Edge (or Firefox). The link isn't completely browser compatible.
Beginner

Re: WLAN Poller question

Hi Haydn,

Just curious as to what Linux OS you used to run it? I've got a CentOS 7 box I'm trying to get the script going on and I'm having no end of issues just getting it unpacked and installed to begin with!

 

Wondering if I should just call it quits and use a W10 VM, problem is I have a LOT of APs to run this against... (thousands)

VIP Advocate

Re: WLAN Poller question

I used Windows, but the more important part is to use the correct Python version. It's a Python 2.7 script, so you MUST use Python 2.7. Version 3.x is NOT compatible with 2.x version code!
Beginner

Re: WLAN Poller question

Hey patoberli thanks for the response!

My Python is v2.7.x (afk, can't remember the specific version!) I wouldn't think it comes down to minor version differences within 2.7 does it? Pip version on the Linux host is 8.1.2 or something where it looks like the pip install used as part of the package is 8.1.1

VIP Advocate

Re: WLAN Poller question

Then it should work. What exact error messages do you get?
Rising star

Re: WLAN Poller question

can you share the output of you terminal/ command prompt that you get when trying to run the poller

*****Help out other by using the rating system and marking answered questions as "Answered"*****
*** Please rate helpful posts ***
Beginner

Re: WLAN Poller question

hey patoberli/haydn it might not be wlanpoller side of things to be fair, one of our dev gurus is going to sift through the pip install on our host as they reckon that's causing the dramas. I'll come back with some logs if we keep running in to brick walls :) Thanks for the help thus far
VIP Advocate

Re: WLAN Poller question

I suggest you use a laptop or a VM without any special configuration. That is far easier. Then put it into the same VLAN as the APs.
Rising star

Re: WLAN Poller question

you can also look at setting up a new Python Virtual environment 

https://docs.python.org/3/tutorial/venv.html

 

I would recommend using a Linux or MACOS host to run it off based on past experience with Python and Windows, I also found the time to run the poller on windows vs Linux was massively slower on windows by multiple hours.

 

Also tghe host running it needs the ability to SSH all the AP IP addresses and WLC

*****Help out other by using the rating system and marking answered questions as "Answered"*****
*** Please rate helpful posts ***
CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards